package com.tencent.mm.plugin.messenger.foundation;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.cd.h;
import com.tencent.mm.plugin.messenger.foundation.a.k;
import com.tencent.mm.storage.aj;
import com.tencent.mm.storage.al;
import com.tencent.mm.storage.bd;
import com.tencent.mm.storage.be;
import com.tencent.mm.storage.bj;
import com.tencent.mm.storage.br;

public final class e implements k {
    public final bd d(h hVar) {
        AppMethodBeat.i(1042);
        aj ajVar = new aj(hVar);
        AppMethodBeat.o(1042);
        return ajVar;
    }

    public final be e(h hVar) {
        AppMethodBeat.i(1043);
        al alVar = new al(hVar);
        AppMethodBeat.o(1043);
        return alVar;
    }

    public final com.tencent.mm.plugin.messenger.foundation.a.a.h a(h hVar, bd bdVar, be beVar) {
        AppMethodBeat.i(1044);
        bj bjVar = new bj(hVar, bdVar, beVar);
        AppMethodBeat.o(1044);
        return bjVar;
    }

    public final com.tencent.mm.plugin.messenger.foundation.a.a.k f(h hVar) {
        AppMethodBeat.i(1045);
        br brVar = new br(hVar);
        AppMethodBeat.o(1045);
        return brVar;
    }
}
